/*  Simple Packet Sender (SPS) - a linux packet crafting network
    tool using GTK+ graphical interface.

    Copyright (C) 2011-2015  Hohlraum (h0h1r4um@yahoo.com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "main.h"

// Obtain current local host date and time.
// Return in character string.
char *
date_and_time (char *text, int maxlen)
{
  time_t rawtime;
  struct tm *timeinfo;
  char mon_name[12][3] = {
    "Jan", "Feb", "Mar", "Apr", "May", "Jun",
    "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
  };

  // Grab system time.
  time (&rawtime);

  // Express time as per local timezone, and as broken-down time.
  timeinfo = localtime (&rawtime);

  memset (text, 0, maxlen * sizeof (char));
  sprintf (text, "%i ", timeinfo->tm_mday);
  sprintf (text, "%s%.3s ", text, mon_name[timeinfo->tm_mon]);
  sprintf (text, "%s%i ", text, timeinfo->tm_year + 1900);
  sprintf (text, "%s%.2d:%.2d:%.2d  ", text, timeinfo->tm_hour, timeinfo->tm_min, timeinfo->tm_sec);

  return (text);
}
